Bug 1100899 - Review Request: ratools - Framework for IPv6 Router Advertisements
Summary: Review Request: ratools - Framework for IPv6 Router Advertisements
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Björn 'besser82' Esser
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-05-23 18:46 UTC by Florian "der-flo" Lehner
Modified: 2014-06-19 16:36 UTC (History)
2 users (show)

Fixed In Version: ratools-0.5.2-3.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-06-12 06:27:27 UTC
besser82: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)
fix Makefile for parallelized make-jobs (2.60 KB, patch)
2014-05-28 10:18 UTC, Björn 'besser82' Esser
no flags Details | Diff
fix Makefile for parallelized make-jobs (2.72 KB, patch)
2014-05-28 16:39 UTC, Björn 'besser82' Esser
no flags Details | Diff

Description Florian "der-flo" Lehner 2014-05-23 18:46:43 UTC
Spec URL: https://raw.githubusercontent.com/florianl/ratools-spec/master/ratools.spec
SRPM URL: https://www.der-flo.net/ratools-0.5-2.fc20.src.rpm
Description: ratools is a fast, dynamic, multi-threading framework for creating, modifying and sending IPv6 Router Advertisements (RA).
Fedora Account System Username: flo

koij-build: http://koji.fedoraproject.org/koji/taskinfo?taskID=6883514

Comment 1 Igor Gnatenko 2014-05-25 13:38:20 UTC
> %{_sysconfdir}/bash_completion.d/

should be:

> %{_sysconfdir}/bash_completion.d/*

because you shouldn't own this dir. only some files in it.


>License:		Apache License, Version 2.0

should be:

>License:		ASL 2.0

Reference: https://fedoraproject.org/wiki/Licensing:Main#Good_Licenses


%build section has no %configure. That's bad. if there no configure file - use this hook:

%prep
...
echo '#!/bin/sh' > ./configure
chmod +x ./configure

%build
%configure
...

Comment 2 Igor Gnatenko 2014-05-25 13:39:48 UTC
Group tag not needed.

Also seems weird attributes fir executable files (751). is it ok ? why 751?

Comment 3 Björn 'besser82' Esser 2014-05-25 13:46:13 UTC
Package Review
==============

Legend:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated


Issues:
=======
- Permissions on files are set properly.
  Note: See rpmlint output
  Solution: use `install -pm 0755` or `install -pm0644`.
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#FilePermissions

- License-tag has malicious value.
  See: https://fedoraproject.org/wiki/Licensing:Main

- Package *MUST NOT* own dirs, which are owned by another package.
  See: http://fedoraproject.org/wiki/Packaging:Guidelines#File_and_Directory_Ownership

- Daemon-application without fully hardening.
  See: http://fedoraproject.org/wiki/Packaging:Guidelines#Compiler_flags

- Applicable compiler-flags are not passed to compiler / linker.
  See: http://fedoraproject.org/wiki/Packaging:Guidelines#Compiler_flags

- Patch without clarified license, origin and upstreaming.
  See: http://fedoraproject.org/wiki/Packaging:Guidelines#All_patches_should_have_an_upstream_bug_link_or_comment

- Inefficient parallel make.
  See: my comment during report

- Doxygen-file present, but no docs are generated nor packaged.
  Solution: BR: doxygen graphviz, invoke `doxygen Doxyfile` during build,
            create -doc-subpkg and include %doc doc/html and the docs
            from mainpkg.

- Non-conffile-in-etc /etc/bash_completion.d/ractl.
  Solution: use %config %{_sysconfdir}/bash_completion.d/* in %files-section

- File `config.example` is missing from %doc.
  Solution: include the file within %doc.

- Package consistently uses macros.  Source-url is not macroized.
  Solution: v0.5.tar.gz ---> %{version}.tar.gz

- Source0 preferred over Source.

- Please re-name the upstream to NV.tar*.
  Solution: append '#/%{name}-%{version}.tar.gz' to Source0.

- URL-tag *SHOULD NOT* end in *.html or similar:
  Solution: remove `index.html`

- Group-tag is obsoleted since RHEL6.
  Solution: remove it or conditionalize for RHEL5, e.g.:
            %{?el5:Group:…}


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: License field in the package spec file matches the actual license.

     ---> license is matching the sources, but the content of the tag
          is bad:  Apache License, Version 2.0 ---> ASL 2.0  Which would
          be the correct content of the license-tag inside the spec-file.
          see:  https://fedoraproject.org/wiki/Licensing:Main

[!]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by: /etc/bash_completion.d(git, bzr,
     rpmdevtools, mercurial, filesystem, pulseaudio, bash-completion, python-
     django-bash-completion, yum-utils, fedpkg, quilt)

     ---> having your package own that dir is bad, since this dir is
          already owned by the filesystem-pkg, which is a basic package
          to be found on every non-b0rk3n installation of Fedora or RHEL.

          About the other packages:  I'll file a bug against them…

[!]: %build honors applicable compiler flags or justifies otherwise.

     ---> compiler flags are not exported properly.  Please prepend this
          to the line(s) invoking `make`:
          CFLAGS="%{?optflags}" LDFLAGS="%{?__global_ldflags}"

          The next thing is:  This pkg builds a daemon application,
          which means "fully hardening" *MUST* be on go.  Please add
          this on top of your spec-file:  %global _hardened_build 1

[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[!]: Package consistently uses macros (instead of hard-coded directory names).

     ---> source-url is not macroized:  v0.5.tar.gz ---> %{version}.tar.gz

[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[!]: Package contains systemd file(s) if in need.

     ---> would it be useful to have a systemd-unit for the daemon?
          what about EPEL, SysVInit?  

[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 30720 bytes in 3 files.
[!]: Package complies to the Packaging Guidelines

     ---> severe issues are present.  :(

[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[!]: Package requires other packages for directories it uses.

     ---> as stated above.

[x]: Package must own all directories that it creates.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[!]: Patches link to upstream bugs/comments/lists or are otherwise justified.

     ---> where does this patch come from?  license?  Has it been upstreamed?
          Where and how has it been upstreamed?  Please clarify this by a
          comment above the PatchX-tags.

[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[!]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[!]: Uses parallel make %{?_smp_mflags} macro.

     ---> you are invoking `make` several times inside the same dir with
          different targets.  To make full use of parallelization, specify
          all target inside the same dir within the same invocation of `make`
          e.g.  make -C src/ %{?_smp_mflags} rad ractl racomplete-ractl

[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: ratools-0.5-2.fc21.x86_64.rpm
          ratools-0.5-2.fc21.src.rpm
ratools.x86_64: W: spelling-error %description -l en_US multi -> mulch, mufti
ratools.x86_64: W: invalid-license Apache License, Version 2.0
ratools.x86_64: E: non-readable /usr/bin/ractl 0751L
ratools.x86_64: E: non-standard-executable-perm /usr/bin/ractl 0751L
ratools.x86_64: W: non-conffile-in-etc /etc/bash_completion.d/ractl
ratools.x86_64: E: non-readable /usr/bin/rad 0751L
ratools.x86_64: E: non-standard-executable-perm /usr/bin/rad 0751L
ratools.x86_64: W: no-manual-page-for-binary rad
ratools.x86_64: W: no-manual-page-for-binary ractl
ratools.src: W: spelling-error %description -l en_US multi -> mulch, mufti
ratools.src: W: invalid-license Apache License, Version 2.0
2 packages and 0 specfiles checked; 4 errors, 7 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint ratools
ratools.x86_64: W: spelling-error %description -l en_US multi -> mulch, mufti
ratools.x86_64: W: invalid-license Apache License, Version 2.0
ratools.x86_64: E: non-readable /usr/bin/ractl 0751L
ratools.x86_64: E: non-standard-executable-perm /usr/bin/ractl 0751L
ratools.x86_64: W: non-conffile-in-etc /etc/bash_completion.d/ractl
ratools.x86_64: E: non-readable /usr/bin/rad 0751L
ratools.x86_64: E: non-standard-executable-perm /usr/bin/rad 0751L
ratools.x86_64: W: no-manual-page-for-binary rad
ratools.x86_64: W: no-manual-page-for-binary ractl
1 packages and 0 specfiles checked; 4 errors, 5 warnings.
# echo 'rpmlint-done:'



Requires
--------
ratools (rpmlib, GLIBC filtered):
    libc.so.6()(64bit)
    libpthread.so.0()(64bit)
    rtld(GNU_HASH)



Provides
--------
ratools:
    ratools
    ratools(x86-64)



Source checksums
----------------
https://github.com/danrl/ratools/archive/v0.5.tar.gz :
  CHECKSUM(SHA256) this package     : 6cb7780e80446bb0013495fb114e0266399583230224776e62e30c3ea2ac5e62
  CHECKSUM(SHA256) upstream package : 6cb7780e80446bb0013495fb114e0266399583230224776e62e30c3ea2ac5e62


Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1100899
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

===== Solution =====

NOT approved.  Please fix those issues and I' ll take another review.


===== Additional Information =====

Before I'm going to sponsor you into the package-group, I want to see some *INFORMAL* package-reviews made by you.  You can find package, which need a review, over here [1].  If you have any questions,  I think you know where to find me, rye?  ;)

[1]  http://fedoraproject.org/PackageReviewStatus/NEW.html

Comment 4 Björn 'besser82' Esser 2014-05-25 15:56:21 UTC
(In reply to Igor Gnatenko from comment #1)
> %build section has no %configure. That's bad. if there no configure file -
> use this hook:
> 
> %prep
> ...
> echo '#!/bin/sh' > ./configure
> chmod +x ./configure
> 
> %build
> %configure
> ...

Hey, Igor!

Unfortunately that won't help here, because we need to pass the compiler / linker flags directly into Makefile, since it doesn't evaluate them from shell's $env.  ;)  The only working solution here is as I mentioned prepending CFLAGS="%{?optflags}" LDFLAGS="%{?__global_ldflags}" to invocation of `make`.

Cheers,
  Björn

Comment 5 Florian "der-flo" Lehner 2014-05-26 19:33:55 UTC
Due to the changes the URLs changed, too

Spec URL: https://raw.githubusercontent.com/florianl/ratools-spec/master/ratools.spec
SRPM URL: https://www.der-flo.net/ratools-0.5-3.fc20.src.rpm

koij-build F20: http://koji.fedoraproject.org/koji/taskinfo?taskID=6894022

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[?]: Package contains systemd file(s) if in need.
     ---> no such a file needed at the moment
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 30720 bytes in 4 files.
[?]: Package complies to the Packaging Guidelines
     ---> so far no known issues to me
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: %config files are marked noreplace or the reason is justified.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: No %config files under /usr.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[!]: Uses parallel make %{?_smp_mflags} macro.
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[!]: Latest version is packaged.
     ---> upstream is at version 0.5.1 and this package on version 0.5
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.


Rpmlint
-------
Checking: ratools-0.5-3.fc20.x86_64.rpm
          ratools-0.5-3.fc20.src.rpm
ratools.x86_64: W: spelling-error %description -l en_US multi -> mulch, mufti
ratools.x86_64: W: no-manual-page-for-binary rad
ratools.x86_64: W: no-manual-page-for-binary ractl
ratools.src: W: spelling-error %description -l en_US multi -> mulch, mufti
2 packages and 0 specfiles checked; 0 errors, 4 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint ratools
ratools.x86_64: W: spelling-error %description -l en_US multi -> mulch, mufti
ratools.x86_64: W: no-manual-page-for-binary rad
ratools.x86_64: W: no-manual-page-for-binary ractl
1 packages and 0 specfiles checked; 0 errors, 3 warnings.
# echo 'rpmlint-done:'



Requires
--------
ratools (rpmlib, GLIBC filtered):
    config(ratools)
    libc.so.6()(64bit)
    libpthread.so.0()(64bit)
    rtld(GNU_HASH)



Provides
--------
ratools:
    config(ratools)
    ratools
    ratools(x86-64)



Source checksums
----------------
https://github.com/danrl/ratools/archive/v0.5.tar.gz :
  CHECKSUM(SHA256) this package     : 6cb7780e80446bb0013495fb114e0266399583230224776e62e30c3ea2ac5e62
  CHECKSUM(SHA256) upstream package : 6cb7780e80446bb0013495fb114e0266399583230224776e62e30c3ea2ac5e62


Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/usr/bin/fedora-review --rpm-spec -n ratools-0.5-3.fc20.src.rpm
Buildroot used: fedora-20-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

Comment 6 Björn 'besser82' Esser 2014-05-28 10:18:13 UTC
Created attachment 899924 [details]
fix Makefile for parallelized make-jobs

Package looks almost fine now.  =)


Just a few little things:

  * Please update to new upstream version 0.5.1 (as tagged in git) and
    drop current `Patch0`, as this is fixed in the new release.

  * Have a look a my attached patch and apply it to the sources.  This
    will fix parallelized make-jobs, so you can append `%{?_smp_mflags}`
    again to the invocation of `make`.  The patch has already been
    upstreamed by me as you can see in my pull-request [1].

  * You will need to add a blackslash '\' to the line which sets
    {C,LD}FLAGS, like:
      `CFLAGS="%{?optflags}" LDFLAGS="%{?__global_ldflags}" \`
    In other cases the flags are not properly injected into make's
    default $ENV.

  * Setting `%config(noreplace)` for the bash-completion is a bad idea,
    since this file is NOT config as meant to be customized by the user.
    On newer versions of ratools there might be changes in CLI and the
    bash-completion WILL change.  The `noreplace` is meant for cases when
    you ship some default config to be customized by the user with the
    package, so the customized config will NOT be overwritten on pkg-updates.
    In this case this config must be replaced on updates for said reasons.
    So please drop the `noreplace` and just use `%config` for this file.


Before I'm going to sponsor you into the package-group, I want to see some *INFORMAL* package-reviews made by you.  You can find packages, which need a review, over here [2].  Just pick 3 or 4 from that list and try to do a fully-featured review, but without assigning the bug to you or raising the fedora-review-flag in rhbz.

[1]  https://github.com/danrl/ratools/pull/2
[2]  http://fedoraproject.org/PackageReviewStatus/NEW.html

Comment 7 Christopher Meng 2014-05-28 10:21:58 UTC
Please use your real name instead of some alphbets like "flo" in bugzilla which is a serious place exactly.

Comment 8 Björn 'besser82' Esser 2014-05-28 11:38:02 UTC
(In reply to Christopher Meng from comment #7)
> Please use your real name instead of some alphbets like "flo" in bugzilla
> which is a serious place exactly.

And please make sure your email-address in rhbz is identical to the one used for your FAS-account.  That is important for the privileges-management-system;  otherwise privileges granted in FAS won't be applied correctly for rhbz.

Cheers,
  Björn

Comment 9 Björn 'besser82' Esser 2014-05-28 16:39:14 UTC
Created attachment 900078 [details]
fix Makefile for parallelized make-jobs

I reworked my patch a bit to fix one corner-case fail…

Comment 10 Florian "der-flo" Lehner 2014-05-30 15:54:13 UTC
spec-File was updated to latest version

Due to the changes the URLs changed, too

Spec URL: https://raw.githubusercontent.com/florianl/ratools-spec/master/ratools.spec
SRPM URL: https://www.der-flo.net/ratools-0.5.2-1.fc20.src.rpm

koij-build F20: http://koji.fedoraproject.org/koji/taskinfo?taskID=6912215


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: %config files are marked noreplace or the reason is justified.
     Note: No (noreplace) in %config /etc/bash_completion.d/ractl
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[-]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[?]: Package contains systemd file(s) if in need.
   ---> no such a file needed at the moment
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 30720 bytes in 4 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: No %config files under /usr.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.


Rpmlint
-------
Checking: ratools-0.5.2-1.fc20.x86_64.rpm
          ratools-0.5.2-1.fc20.src.rpm
ratools.x86_64: W: spelling-error %description -l en_US multi -> mulch, mufti
ratools.x86_64: W: conffile-without-noreplace-flag /etc/bash_completion.d/ractl
ratools.x86_64: W: no-manual-page-for-binary rad
ratools.x86_64: W: no-manual-page-for-binary ractl
ratools.src: W: spelling-error %description -l en_US multi -> mulch, mufti
2 packages and 0 specfiles checked; 0 errors, 5 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint ratools
ratools.x86_64: W: spelling-error %description -l en_US multi -> mulch, mufti
ratools.x86_64: W: conffile-without-noreplace-flag /etc/bash_completion.d/ractl
ratools.x86_64: W: no-manual-page-for-binary rad
ratools.x86_64: W: no-manual-page-for-binary ractl
1 packages and 0 specfiles checked; 0 errors, 4 warnings.
# echo 'rpmlint-done:'



Requires
--------
ratools (rpmlib, GLIBC filtered):
    config(ratools)
    libc.so.6()(64bit)
    libpthread.so.0()(64bit)
    rtld(GNU_HASH)



Provides
--------
ratools:
    config(ratools)
    ratools
    ratools(x86-64)



Source checksums
----------------
https://github.com/danrl/ratools/archive/v0.5.2.tar.gz :
  CHECKSUM(SHA256) this package     : 70118519b7c01e37b4f33ea27ed4d1208c8271734bd0f219e52340fdc18393ab
  CHECKSUM(SHA256) upstream package : 70118519b7c01e37b4f33ea27ed4d1208c8271734bd0f219e52340fdc18393ab


Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/usr/bin/fedora-review --rpm-spec -n ratools-0.5.2-1.fc20.src.rpm
Buildroot used: fedora-20-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

Comment 11 Igor Gnatenko 2014-05-30 16:07:17 UTC
I think noreplace is not needed for bash completion file.

Comment 12 Björn 'besser82' Esser 2014-05-30 16:32:22 UTC
Package Review
==============

Legend:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Apache (v2.0)". Detailed output of licensecheck in
     /home/besser82/shared/fedora/review/1100899-ratools/licensecheck.txt
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[!]: %config files are marked noreplace or the reason is justified.
     Note: No (noreplace) in %config /etc/bash_completion.d/ractl

     ---> please add a comment with some justification about this.
          Information supplied in Comment #6 might be useful…
          https://bugzilla.redhat.com/show_bug.cgi?id=1100899#c6

[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[-]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 30720 bytes in 4 files.
[!]: Package complies to the Packaging Guidelines

     ---> issues are present.

[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: No %config files under /usr.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.

     ---> see: http://koji.fedoraproject.org/koji/taskinfo?taskID=6912545

[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[!]: SourceX is a working URL.

     ---> please append '#/%{name}-%{version}.tar.gz' to Source0, to get
          a properly named source-tarball.  A file named v%{version}.tar.gz
          might be anything and might cause troubles because of it's
          non-unique naming-scheme.

          After this change the use of `spectool -g [-R] ratools.spec`
          will give you a properly named src-tarball automatically.

[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: ratools-0.5.2-1.fc21.x86_64.rpm
          ratools-0.5.2-1.fc21.src.rpm
ratools.x86_64: W: spelling-error %description -l en_US multi -> mulch, mufti
ratools.x86_64: W: conffile-without-noreplace-flag /etc/bash_completion.d/ractl
ratools.x86_64: W: no-manual-page-for-binary rad
ratools.x86_64: W: no-manual-page-for-binary ractl
ratools.src: W: spelling-error %description -l en_US multi -> mulch, mufti
2 packages and 0 specfiles checked; 0 errors, 5 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint ratools
ratools.x86_64: W: spelling-error %description -l en_US multi -> mulch, mufti
ratools.x86_64: W: conffile-without-noreplace-flag /etc/bash_completion.d/ractl
ratools.x86_64: W: no-manual-page-for-binary rad
ratools.x86_64: W: no-manual-page-for-binary ractl
1 packages and 0 specfiles checked; 0 errors, 4 warnings.
# echo 'rpmlint-done:'

---> please install the man-page provided in src-tarball to %{_mandir}/man1
     and include it with the package.


Requires
--------
ratools (rpmlib, GLIBC filtered):
    config(ratools)
    libc.so.6()(64bit)
    libpthread.so.0()(64bit)
    rtld(GNU_HASH)



Provides
--------
ratools:
    config(ratools)
    ratools
    ratools(x86-64)



Source checksums
----------------
https://github.com/danrl/ratools/archive/v0.5.2.tar.gz :
  CHECKSUM(SHA256) this package     : 70118519b7c01e37b4f33ea27ed4d1208c8271734bd0f219e52340fdc18393ab
  CHECKSUM(SHA256) upstream package : 70118519b7c01e37b4f33ea27ed4d1208c8271734bd0f219e52340fdc18393ab


Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1100899
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG


===== Solution =====
NOT approved.  Please fix-up those named issues and I'll have another review.


-------------------------------------------------------------------

(In reply to Igor Gnatenko from comment #11)
> I think noreplace is not needed for bash completion file.

I do think so…  bash-completion-files need to be updated (even if customized) with the binaries, since CLI-switches might change between different versions.

Comment 13 Florian "der-flo" Lehner 2014-05-31 10:12:43 UTC
Due to the changes the URLs changed, too.

Spec URL: https://raw.githubusercontent.com/florianl/ratools-spec/master/ratools.spec
SRPM URL: https://www.der-flo.net/ratools-0.5.2-2.fc20.src.rpm

koij-build rawhide: http://koji.fedoraproject.org/koji/taskinfo?taskID=6914046

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Apache (v2.0)". Detailed output of licensecheck in
     /home/flo/rpmbuild/SRPMS/ratools/licensecheck.txt
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: %config files are marked noreplace or the reason is justified.
     Note: No (noreplace) in %config /etc/bash_completion.d/ractl
   ---> the reason is justified in a comment above
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[-]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 30720 bytes in 4 files.
[?]: Package complies to the Packaging Guidelines
   ---> not my department because this is an *INFORMAL* for myself
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: No %config files under /usr.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
   ---> http://koji.fedoraproject.org/koji/taskinfo?taskID=6914046
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.


Rpmlint
-------
Checking: ratools-0.5.2-2.fc20.x86_64.rpm
          ratools-0.5.2-2.fc20.src.rpm
ratools.x86_64: W: spelling-error %description -l en_US multi -> mulch, mufti
ratools.x86_64: W: conffile-without-noreplace-flag /etc/bash_completion.d/ractl
ratools.x86_64: W: no-manual-page-for-binary rad
ratools.x86_64: W: no-manual-page-for-binary ractl
ratools.src: W: spelling-error %description -l en_US multi -> mulch, mufti
2 packages and 0 specfiles checked; 0 errors, 5 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint ratools
ratools.x86_64: W: spelling-error %description -l en_US multi -> mulch, mufti
ratools.x86_64: W: conffile-without-noreplace-flag /etc/bash_completion.d/ractl
ratools.x86_64: W: no-manual-page-for-binary rad
ratools.x86_64: W: no-manual-page-for-binary ractl
1 packages and 0 specfiles checked; 0 errors, 4 warnings.
# echo 'rpmlint-done:'



Requires
--------
ratools (rpmlib, GLIBC filtered):
    config(ratools)
    libc.so.6()(64bit)
    libpthread.so.0()(64bit)
    rtld(GNU_HASH)



Provides
--------
ratools:
    config(ratools)
    ratools
    ratools(x86-64)



Source checksums
----------------
https://github.com/danrl/ratools/archive/v0.5.2.tar.gz#/ratools-0.5.2.tar.gz :
  CHECKSUM(SHA256) this package     : 70118519b7c01e37b4f33ea27ed4d1208c8271734bd0f219e52340fdc18393ab
  CHECKSUM(SHA256) upstream package : 70118519b7c01e37b4f33ea27ed4d1208c8271734bd0f219e52340fdc18393ab


Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/usr/bin/fedora-review --rpm-spec -n ratools-0.5.2-2.fc20.src.rpm
Buildroot used: fedora-20-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

Comment 14 Florian "der-flo" Lehner 2014-05-31 10:46:44 UTC
Due to the changes the URLs changed, too.

Spec URL: https://raw.githubusercontent.com/florianl/ratools-spec/master/ratools.spec
SRPM URL: https://www.der-flo.net/ratools-0.5.2-3.fc20.src.rpm

koij-build rawhide: http://koji.fedoraproject.org/koji/taskinfo?taskID=6914050

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Apache (v2.0)". Detailed output of licensecheck in
     /home/flo/rpmbuild/SRPMS/ratools/licensecheck.txt
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: %config files are marked noreplace or the reason is justified.
     Note: No (noreplace) in %config /etc/bash_completion.d/ractl
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[-]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 30720 bytes in 4 files.
[?]: Package complies to the Packaging Guidelines
   ---> not my department because this is an *INFORMAL* review for myself
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: No %config files under /usr.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
   ---> http://koji.fedoraproject.org/koji/taskinfo?taskID=6914050
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.


Rpmlint
-------
Checking: ratools-0.5.2-3.fc20.x86_64.rpm
          ratools-0.5.2-3.fc20.src.rpm
ratools.x86_64: W: spelling-error %description -l en_US multi -> mulch, mufti
ratools.x86_64: W: conffile-without-noreplace-flag /etc/bash_completion.d/ractl
ratools.x86_64: W: no-manual-page-for-binary rad
ratools.src: W: spelling-error %description -l en_US multi -> mulch, mufti
2 packages and 0 specfiles checked; 0 errors, 4 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint ratools
ratools.x86_64: W: spelling-error %description -l en_US multi -> mulch, mufti
ratools.x86_64: W: conffile-without-noreplace-flag /etc/bash_completion.d/ractl
ratools.x86_64: W: no-manual-page-for-binary rad
1 packages and 0 specfiles checked; 0 errors, 3 warnings.
# echo 'rpmlint-done:'



Requires
--------
ratools (rpmlib, GLIBC filtered):
    config(ratools)
    libc.so.6()(64bit)
    libpthread.so.0()(64bit)
    rtld(GNU_HASH)



Provides
--------
ratools:
    config(ratools)
    ratools
    ratools(x86-64)



Source checksums
----------------
https://github.com/danrl/ratools/archive/v0.5.2.tar.gz#/ratools-0.5.2.tar.gz :
  CHECKSUM(SHA256) this package     : 70118519b7c01e37b4f33ea27ed4d1208c8271734bd0f219e52340fdc18393ab
  CHECKSUM(SHA256) upstream package : 70118519b7c01e37b4f33ea27ed4d1208c8271734bd0f219e52340fdc18393ab


Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/usr/bin/fedora-review --rpm-spec -n ratools-0.5.2-3.fc20.src.rpm
Buildroot used: fedora-20-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

Comment 15 Björn 'besser82' Esser 2014-05-31 11:00:08 UTC
Package Review
==============

Legend:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: %config files are marked noreplace or the reason is justified.
     Note: No (noreplace) in %config /etc/bash_completion.d/ractl

     ---> justified in comment

[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 30720 bytes in 4 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: No %config files under /usr.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.

     ---> see scratch-build:
          http://koji.fedoraproject.org/koji/taskinfo?taskID=6914050

[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: ratools-0.5.2-3.fc21.x86_64.rpm
          ratools-0.5.2-3.fc21.src.rpm
ratools.x86_64: W: spelling-error %description -l en_US multi -> mulch, mufti
ratools.x86_64: W: conffile-without-noreplace-flag /etc/bash_completion.d/ractl
ratools.x86_64: W: no-manual-page-for-binary rad
ratools.src: W: spelling-error %description -l en_US multi -> mulch, mufti
2 packages and 0 specfiles checked; 0 errors, 4 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint ratools
ratools.x86_64: W: spelling-error %description -l en_US multi -> mulch, mufti
ratools.x86_64: W: conffile-without-noreplace-flag /etc/bash_completion.d/ractl
ratools.x86_64: W: no-manual-page-for-binary rad
1 packages and 0 specfiles checked; 0 errors, 3 warnings.
# echo 'rpmlint-done:'



Requires
--------
ratools (rpmlib, GLIBC filtered):
    config(ratools)
    libc.so.6()(64bit)
    libpthread.so.0()(64bit)
    rtld(GNU_HASH)



Provides
--------
ratools:
    config(ratools)
    ratools
    ratools(x86-64)



Source checksums
----------------
https://github.com/danrl/ratools/archive/v0.5.2.tar.gz#/ratools-0.5.2.tar.gz :
  CHECKSUM(SHA256) this package     : 70118519b7c01e37b4f33ea27ed4d1208c8271734bd0f219e52340fdc18393ab
  CHECKSUM(SHA256) upstream package : 70118519b7c01e37b4f33ea27ed4d1208c8271734bd0f219e52340fdc18393ab


Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1100899
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG


===== Additional Information =====

* Please fix 'mkdir -p %{buildroot}%{_sysconfdir}/bash_completion.d/*' to
  'mkdir -p %{buildroot}%{_sysconfdir}/bash_completion.d' on import.

* You can now go ahead with your SCM-admin-request as explained on:
  http://fedoraproject.org/wiki/Package_SCM_admin_requests

  Please request branches for el6 and epel7, too, and add me (besser82)
  to the owners.


===== Solution =====

Package APPROVED!!!

Comment 16 Florian "der-flo" Lehner 2014-05-31 11:12:11 UTC
New Package SCM Request
=======================
Package Name: ratools
Short Description: Framework for creating, modifying and sending IPv6 Router Advertisements
Upstream URL: https://www.nonattached.net/ratools
Owners: flo besser82
Branches: f19 f20 el6 epel7
InitialCC:

Comment 17 Gwyn Ciesla 2014-06-02 11:54:28 UTC
Git done (by process-git-requests).

Comment 18 Fedora Update System 2014-06-03 15:04:10 UTC
ratools-0.5.2-3.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/ratools-0.5.2-3.fc20

Comment 19 Fedora Update System 2014-06-03 15:05:19 UTC
ratools-0.5.2-3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/ratools-0.5.2-3.fc19

Comment 20 Fedora Update System 2014-06-03 15:06:15 UTC
ratools-0.5.2-3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/ratools-0.5.2-3.el6

Comment 21 Fedora Update System 2014-06-03 21:57:41 UTC
ratools-0.5.2-3.el6 has been pushed to the Fedora EPEL 6 testing repository.

Comment 22 Fedora Update System 2014-06-12 06:27:27 UTC
ratools-0.5.2-3.fc20 has been pushed to the Fedora 20 stable repository.

Comment 23 Fedora Update System 2014-06-12 06:29:38 UTC
ratools-0.5.2-3.fc19 has been pushed to the Fedora 19 stable repository.

Comment 24 Fedora Update System 2014-06-19 16:36:42 UTC
ratools-0.5.2-3.el6 has been pushed to the Fedora EPEL 6 stable repository.


Note You need to log in before you can comment on or make changes to this bug.